package Alien::wxWidgets::Config::gtk2_2_8_12_uni_gcc_3_4;

use strict;

our %VALUES;

{
    no strict 'vars';
    %VALUES = %{
$VAR1 = {
          '_libraries' => {
                            'adv' => {
                                       'dll' => 'libwx_gtk2u_adv-2.8.so',
                                       'link' => '-lwx_gtk2u_adv-2.8'
                                     },
                            'aui' => {
                                       'dll' => 'libwx_gtk2u_aui-2.8.so',
                                       'link' => '-lwx_gtk2u_aui-2.8'
                                     },
                            'base' => {
                                        'dll' => 'libwx_baseu-2.8.so',
                                        'link' => '-lwx_baseu-2.8'
                                      },
                            'core' => {
                                        'dll' => 'libwx_gtk2u_core-2.8.so',
                                        'link' => '-lwx_gtk2u_core-2.8'
                                      },
                            'fl' => {
                                      'dll' => 'libwx_gtk2u_fl-2.8.so',
                                      'link' => '-lwx_gtk2u_fl-2.8'
                                    },
                            'gizmos' => {
                                          'dll' => 'libwx_gtk2u_gizmos-2.8.so',
                                          'link' => '-lwx_gtk2u_gizmos-2.8'
                                        },
                            'gl' => {
                                      'dll' => 'libwx_gtk2u_gl-2.8.so',
                                      'link' => '-lwx_gtk2u_gl-2.8'
                                    },
                            'html' => {
                                        'dll' => 'libwx_gtk2u_html-2.8.so',
                                        'link' => '-lwx_gtk2u_html-2.8'
                                      },
                            'net' => {
                                       'dll' => 'libwx_baseu_net-2.8.so',
                                       'link' => '-lwx_baseu_net-2.8'
                                     },
                            'qa' => {
                                      'dll' => 'libwx_gtk2u_qa-2.8.so',
                                      'link' => '-lwx_gtk2u_qa-2.8'
                                    },
                            'richtext' => {
                                            'dll' => 'libwx_gtk2u_richtext-2.8.so',
                                            'link' => '-lwx_gtk2u_richtext-2.8'
                                          },
                            'stc' => {
                                       'dll' => 'libwx_gtk2u_stc-2.8.so',
                                       'link' => '-lwx_gtk2u_stc-2.8'
                                     },
                            'xml' => {
                                       'dll' => 'libwx_baseu_xml-2.8.so',
                                       'link' => '-lwx_baseu_xml-2.8'
                                     },
                            'xrc' => {
                                       'dll' => 'libwx_gtk2u_xrc-2.8.so',
                                       'link' => '-lwx_gtk2u_xrc-2.8'
                                     }
                          },
          'alien_base' => 'gtk2_2_8_12_uni_gcc_3_4',
          'alien_package' => 'Alien::wxWidgets::Config::gtk2_2_8_12_uni_gcc_3_4',
          'c_flags' => '-pthread ',
          'compiler' => 'x86_64-solus-linux-g++',
          'config' => {
                        'build' => 'multi',
                        'compiler_kind' => 'gcc',
                        'compiler_version' => '3.4',
                        'debug' => 0,
                        'mslu' => 0,
                        'toolkit' => 'gtk2',
                        'unicode' => 1
                      },
          'defines' => '-D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ ',
          'include_path' => '-I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 ',
          'link_flags' => '',
          'link_libraries' => ' -L/usr/lib64 -lpthread -Wl,--copy-dt-needed-entries -Wl,-O1 -Wl,-z,relro -Wl,-z,now -Wl,-z,max-page-size=0x1000 -Wl,-Bsymbolic-functions -L/usr/lib64',
          'linker' => 'x86_64-solus-linux-g++ -shared -fPIC  ',
          'prefix' => '/usr',
          'version' => '2.008012'
        };
    };
}

my $key = substr __PACKAGE__, 1 + rindex __PACKAGE__, ':';

sub values { %VALUES, key => $key }

sub config {
   +{ %{$VALUES{config}},
      package       => __PACKAGE__,
      key           => $key,
      version       => $VALUES{version},
      }
}

1;
